# std.test

Summary

#### Discussion

Description1
Description2
Description3

#### See Also

Things to see also.
And more things.

- `StreamException`

  #### Declaration

  `class `StreamException`: object.Exception;`

  A base class for stream exceptions.

  - `this`

    #### Declaration

    `this(string `msg`, int `foo`);`

    Construct a StreamException with given error message `msg`.

    #### Parameters

    `string `msg`` | the red blue green yellow.
    `int `foo`` | next parameter which is a much longer message spanning multiple lines.

  - `stars`

    #### Declaration

    `int `stars`;`

    `stars`